/**
 *	Members
 */
var channelList;
var channelIndex;

/**
 *	A query function to short document.getElementById routine.
 */
var $ = function (id) { return document.getElementById(id); };

window.onload = function()
{
	document.onkeydown = function(evt) { handleKeys(evt); }
	initBroadcast();
}

/**
 *	Broadcast initialization : Getting channelList from video object api and play 
 */
function initBroadcast()
{
	try
	{
		channelIndex = 0;
		
		$("video").bindToCurrentChannel();
		$("video").setFullScreen(false);
		
		//log($('oipfcfg').configuration);
		channelList = $("video").getChannelConfig().channelList;
	
		log("---channel list---","green");
		for (var i=0; i<channelList.length ; i++) 
			log("channel [" + i + "] : " + channelList[i].name);
		log("---end channel list---","green");
		
		// you can also call channels by giving channel objects.
		//$("video").setChannel(channelList[channelIndex], false);
		
		//log(channelList[channelIndex]);
		//log(channelList); 
	}
	catch(e)
	{
		log("Exception : " + e.message ,"red");
	}
}

/**
 *	A generic log function can be used for variables and objects. 
 *	maxDepth: Defined for depth of objects children.
 *	dump : recursive object dump function. Be carefull for giving depth. Browsers have number of function call limit.
 *	You can scroll up and down to log division by keys.
 */
function log(message,color)
{
	var maxDepth = 0;
	var dump = function(obj, name, depth, tab){  
		if (depth > maxDepth) {  
			return name + ' - Max depth<br />';  
		}  
  
		if (typeof(obj) == 'object') {  
			var child = null;  
			var output = tab + name + '<br />';  
			tab += '<span style="color:black">__</span>';  
			for(var item in obj){  
				child = obj[item];  
				if (typeof(child) == 'object') {  
					output += dump(child, item, depth + 1, tab);  
				} else {  
					output += tab + item + ': ' + child + '<br />';  
				}  
			}  
		}  
		return output;  
	}
	
	color = typeof color !== 'undefined' ? color : 'gray';
	$("logs").style.top = "0px"
	if(typeof(message) == 'object')
	{
		$("logs").innerHTML = "<span style='color:" + color + "'>"+ dump(message, "<span style='color:green'>Object :</span>", 0, '') + "</span><br/>" + $("logs").innerHTML;
	}
	else
	{	
		$("logs").innerHTML = "<span style='color:" + color + "'>"+ message + "</span><br/>" + $("logs").innerHTML;
	}
}

function handleKeys(evt) {
	var evtobj = window.event? event : evt;
	var unicode = evtobj.charCode? evtobj.charCode : evtobj.keyCode;
	switch (unicode){
		case 13: //ok : page refresh for testing new content
			try
			{
				log("Stop video!","green");
				$("video").stop();
				log("Page will be refreshed!!","red");
				setTimeout(function(){document.location.href = "./";},300);
			}	
			catch(ex)
			{
				log("Exception : " + ex.message ,"red");
			}	
		break;
		case 37 : //left : previous channel
			try
			{				
				if(channelIndex==0) channelIndex = channelList.length-1;
				else channelIndex--;
				log("channelList["+channelIndex+"] = "+channelList[channelIndex].name, "green");
				$("video").setChannel(channelList[channelIndex]);
				
				//or you can simply use that function
				//$("video").prevChannel();
			}	
			catch(ex)
			{
				log("Exception : " + ex.message ,"red");
			}
		break;
		case 39 : //right : next channel
			try
			{
				if(channelIndex == channelList.length-1) channelIndex = 0;
				else channelIndex++;
				log("channelList["+channelIndex+"] ="+channelList[channelIndex].name, "green");
				$("video").setChannel(channelList[channelIndex]);
				
				//or you can simply use that function
				//$("video").nextChannel();
			}	
			catch(ex)
			{
				log("Exception : " + ex.message ,"red");
			}
		break;
		case 38 : //up	
			//scroll up the logs div
			var top = ($("logs").style.top.replace(/px/, '') * 1);
			if( top != 0 ) $("logs").style.top = (top + 60) + "px"; 
		break;
		case 40 : //down 
			//scroll down logs div
			var top = ($("logs").style.top.replace(/px/, '') * 1);
			$("logs").style.top = (top - 60) + "px"; 			
		break;	
		case 461 : //back 
			log("Stop video!","green");
			$("video").stop();
			setTimeout(function(){document.location.href = "../";},300);
		break;		
		default:
			log(" Key '" + unicode + "' is pressed.","green");
		break;
	}	
}