﻿/**
 *	A query function to short document.getElementById routine.
 */
var $ = function (id) { return document.getElementById(id); };

window.onload = function()
{
	document.onkeydown = function(evt) { handleKeys(evt); }
	$("video").onPlayStateChange = function(){
		var state = $("video").playState;
		log("onPlayStateChange()");
		log("state : " + state ); 
	}
	initMp4();
				log(navigator.userAgent);
}

/**
 *	Video Object initialization. In order to call this function define video object type as type='video/mp4' !!!
 */
function initMp4(url)
{		
	try
	{
		url = typeof url !== 'undefined' ? url : 'http://www.largesound.com/ashborytour/sound/brobob.mp3'; /*'rtsp://192.168.0.98/vod/music/01_1709_Bach.ts';*/ /*'http://itv.ard.de/video/timecode.php/video.mp4';*/
		log("initMp4(" + url +");","green");		
		$("video").stop();
		$("video").data = url;
		$("video").play(1);
	}	
	catch(ex)
	{
		log("Exception : " + ex.message ,"red");
	}	
}

/**
 *	A generic log function can be used for variables and objects. 
 *	maxDepth: Defined for depth of objects children.
 *	dump : recursive object dump function. Be carefull for giving depth. Browsers have number of function call limit.
 *	You can scroll up and down to log division by keys.
 */
function log(message,color)
{
	var maxDepth = 0;
	var dump = function(obj, name, depth, tab){  
		if (depth > maxDepth) {  
			return name + ' - Max depth<br />';  
		}  
  
		if (typeof(obj) == 'object') {  
			var child = null;  
			var output = tab + name + '<br />';  
			tab += '<span style="color:black">__</span>';  
			for(var item in obj){  
				child = obj[item];  
				if (typeof(child) == 'object') {  
					output += dump(child, item, depth + 1, tab);  
				} else {  
					output += tab + item + ': ' + child + '<br />';  
				}  
			}  
		}  
		return output;  
	}
	
	color = typeof color !== 'undefined' ? color : 'gray';
	$("logs").style.top = "0px"
	if(typeof(message) == 'object')
	{
		$("logs").innerHTML = "<span style='color:" + color + "'>"+ dump(message, "<span style='color:green'>Object :</span>", 0, '') + "</span><br/>" + $("logs").innerHTML;
	}
	else
	{	
		$("logs").innerHTML = "<span style='color:" + color + "'>"+ message + "</span><br/>" + $("logs").innerHTML;
	}
}

function handleKeys(evt) {
	var evtobj = window.event? event : evt;
	var unicode = evtobj.charCode? evtobj.charCode : evtobj.keyCode; 
	switch (unicode){
		
		case 13: //ok : page refresh for testing new content
			log("Stop video!","green");
			$("video").stop();
			log("Page will be refreshed!!","red");
			setTimeout(function(){document.location.href = "./";},300);
		break;
		case 38 : //up
			//scroll up the logs div
			var top = ($("logs").style.top.replace(/px/, '') * 1);
			if( top != 0 ) $("logs").style.top = (top + 60) + "px"; 
		break;
		case 40 : //down 
			//scroll down logs div
			var top = ($("logs").style.top.replace(/px/, '') * 1);
			$("logs").style.top = (top - 60) + "px"; 				
		break;
		case 461 : //back 
			log("Stop video!","green");
			$("video").stop();
			setTimeout(function(){document.location.href = "../";},300);
		break;
		case 49 : 
			log("rewind","green");
			$("video").play(-4);
		break;		
		case 50 :  
			log("pause","green");
			$("video").play(0);
		break;		
		case 51 :
			log("forward","green");
			$("video").play(4);
		break;	
		case 52 :
			log("stop","green");
			$("video").stop();
		break;
		case 53 :
			log("play","green");
			$("video").play(1);
		break;
		case 54:
			log("jump","green");
			$("video").seekVideo(1*60);
		break;
		case 55:
			var vid = document.getElementById('video');
			var total = new Duration(vid.playTime);
			log("duration: "+total.duration,"green");
			break;
		
		default:
			log(" Key '" + unicode + "' is pressed.","green");
		break;
	}	
}