﻿<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="content-Type" content="text/html; charset=utf-8" />
	<title>Vestek Simple Player</title>
</head>
<script language="javascript" >
	/*
		Members
	*/
	var channelList;
	var channelIndex;
	
	/*
		A query function to short document.getElementById routine.
	*/
	var $ = function (id) { return document.getElementById(id); };

	window.onload = function()
	{
		document.onkeydown = function(evt) { handleKeys(evt); }
		initBroadcast();
	}
	
	/*
		Broadcast initialization : Getting channelList from video object api and play 
	*/
	function initBroadcast()
	{
		try
		{
			channelIndex = 0;
			
			$("video").bindToCurrentChannel();
			$("video").setFullScreen(false);
			
			//log($('oipfcfg').configuration);
			channelList = $("video").getChannelConfig().channelList;
		
			log("---channel list---","green");
			for (var i=0; i<channelList.length ; i++) 
				log("channel [" + i + "] : " + channelList[i].name);
			log("---end channel list---","green");
			
			$("video").setChannel(channelList[channelIndex], false);
			log(channelList[channelIndex]);
			//log(channelList); 
			//$("video").stop();
	
		}
		catch(e)
		{
			log("Exception : " + e.message ,"red");
		}
	}
	
	/*
		A generic log function can be used for variables and objects. 
		maxDepth: Defined for depth of objects children.
		dump : recursive object dump function. Be carefull for giving depth. Browsers have number of function call limit.
		You can scroll up and down to log division by keys.
	*/
	function log(message,color)
	{
		var maxDepth = 0;
		var dump = function(obj, name, depth, tab){  
			if (depth > maxDepth) {  
				return name + ' - Max depth<br />';  
			}  
	  
			if (typeof(obj) == 'object') {  
				var child = null;  
				var output = tab + name + '<br />';  
				tab += '<span style="color:black">__</span>';  
				for(var item in obj){  
					child = obj[item];  
					if (typeof(child) == 'object') {  
						output += dump(child, item, depth + 1, tab);  
					} else {  
						output += tab + item + ': ' + child + '<br />';  
					}  
				}  
			}  
			return output;  
		}
		
		color = typeof color !== 'undefined' ? color : 'gray';
		$("logs").style.top = "0px"
		if(typeof(message) == 'object')
		{
			$("logs").innerHTML = "<span style='color:" + color + "'>"+ dump(message, "<span style='color:green'>Object :</span>", 0, '') + "</span><br/>" + $("logs").innerHTML;
		}
		else
		{	
			$("logs").innerHTML = "<span style='color:" + color + "'>"+ message + "</span><br/>" + $("logs").innerHTML;
		}
	}
	
	function handleKeys(evt) {
		var evtobj = window.event? event : evt;
		var unicode = evtobj.charCode? evtobj.charCode : evtobj.keyCode;
		
		switch (unicode){
			case 13: //ok : page refresh for testing new content
				try
				{
					log("Stop video!","green");
					$("video").stop();
					log("Page will be refreshed!!","red");
					setTimeout(function(){document.location.href = "./playBroadcast.html";},300);
				}	
				catch(ex)
				{
					log("Exception : " + ex.message ,"red");
				}	
			break;
			case 37 : //left : previous channel
				try
				{				
					if(channelIndex==0) channelIndex = channelList.length-1;
					else channelIndex--;
					log("channelList["+channelIndex+"] = "+channelList[channelIndex].name, "green");
					$("video").setChannel(channelList[channelIndex]);
					
					//or you can simply use that function
					//$("video").prevChannel();
				}	
				catch(ex)
				{
					log("Exception : " + ex.message ,"red");
				}
			break;
			case 39 : //right : next channel
				try
				{
					if(channelIndex == channelList.length-1) channelIndex = 0;
					else channelIndex++;
					log("channelList["+channelIndex+"] ="+channelList[channelIndex].name, "green");
					$("video").setChannel(channelList[channelIndex]);
					
					//or you can simply use that function
					//$("video").nextChannel();
				}	
				catch(ex)
				{
					log("Exception : " + ex.message ,"red");
				}
			break;
			case 38 : //up
				//scroll up the logs div
				var top = ($("logs").style.top.replace(/px/, '') * 1);
				if( top != 0 ) $("logs").style.top = top + 60; 
			break;
			case 40 : //down 
				//scroll down logs div
				var top = ($("logs").style.top.replace(/px/, '') * 1);
				$("logs").style.top = top - 60; 				
			break;	
			default:
				log(" Key '" + unicode + "' is pressed.","green");
			break;
		}	
	}
</script>

<body style="background:gray;">
	<h2 style="position: absolute;left: 15px; top: 0px; margin-top: 15px;font-size:1.6em;">
		<img src="vestek.jpg" style="vertical-align:middle"/> Simple Player
	</h2>
	<div id="logs_container" style="position:absolute; left:0px; top:55px; background:black; overflow:hidden; height:540px; width:310px;">
		<div id="logs" style="position:absolute; top:0px; color:white;">
		</div>
	</div>
	<table style="position: absolute;left: 15px; top: 610px; z-index:100; width:930px; ">	
		<tr>
			<td style="width:30px">
				<img src="img/ud.png">
			</td>
			<td>
				Use up and down arrow keys to scroll the logs.
			</td>
		</tr>
		<tr>
			<td style="width:30px">
				<img src="img/rl.png">
			</td>
			<td>
				Use rigth and left keys to change the channels.
			</td>
		</tr>
		<tr>
			<td style="width:30px">
				<img src="img/ok.png">
			</td>
			<td>
				Press "OK" to refresh the page.
			</td>
		</tr>
	</table>
	<div id="video_container" style='position: absolute; left: 320px; top: 55px; width: 960px; height: 540px;'>
		<object id='video' type='video/broadcast' style='width: 960px; height: 540px;'></object>
	</div>
	<object id='appmgr' type='application/oipfApplicationManager' style='position: absolute;left: 0px; top: 0px; width: 0px; height: 0px;'></object>
	<object id='oipfcfg' type='application/oipfConfiguration' style='position: absolute;left: 0px; top: 0px; width: 0px; height: 0px;'></object>
	<object id='NetRangeDevice' type='application/debug-plugin'></object>
</body>
</html>


