﻿<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Cache-control" content="no-cache">
	<meta http-equiv="content-Type" content="text/html; charset=utf-8" />
	<title>Vestek Simple Player</title>
</head>
<script language="javascript" >
/**
 * namespace
 */
var vestek = {};
	
/**
 * Boot fuction initilizes the page
 */
vestek.boot = function()
{
	try
	{
		//key handler
		document.onkeydown = function(evt) { vestek.handleKeys(evt); }	
		//document.onkeydown = this.handleKeys;
		document.getElementById("video").onPlayStateChange = this.onPlayStateChangeHandler;
	}
	catch(ex)
	{
		this.log("Exception : " + ex.message ,"red");
	}
	this.initMp4("http://www.w3schools.com/html5/movie.mp4");
}

/**
 * play state change handler
 */
vestek.onPlayStateChangeHandler = function(){
	var state = document.getElementById("video").playState;
	vestek.log("onPlayStateChange()");
	vestek.log("state : " + state ); 
}

/**
 * Video Object initialization. In order to call this function define video object type as type='video/mp4' !!!
 */
vestek.initMp4 = function(url)
{		
	try
	{
		url = typeof url !== 'undefined' ? url : 'http://itv.ard.de/video/timecode.php/video.mp4';
		this.log("initMp4(" + url +");","green");
		document.getElementById("video").stop();
		document.getElementById("video").data = url;
		document.getElementById("video").play(1);
	}	
	catch(ex)
	{
		this.log("Exception : " + ex.message ,"red");
	}	
}

/**
 * 	A generic log function can be used for variables and objects. 
 *	private maxDepth: Defined for depth of objects children.
 *	private dump : recursive object dump function. Be carefull for giving depth. Browsers have number of function call limit.
 *	You can scroll up and down to log division by keys.
*/
vestek.log = function(message,color)
{
	var maxDepth = 0;
	var dump = function(obj, name, depth, tab){  
		if (depth > maxDepth) {  
			return name + ' - Max depth<br />';  
		}  
  
		if (typeof(obj) == 'object') {  
			var child = null;  
			var output = tab + name + '<br />';  
			tab += '<span style="color:black">__</span>';  
			for(var item in obj){  
				child = obj[item];  
				if (typeof(child) == 'object') {  
					output += dump(child, item, depth + 1, tab);  
				} else {  
					output += tab + item + ': ' + child + '<br />';  
				}  
			}  
		}  
		return output;  
	}
	
	color = typeof color !== 'undefined' ? color : 'gray';
	document.getElementById("logs").style.top = "0px"
	if(typeof(message) == 'object')
	{
		document.getElementById("logs").innerHTML = "<span style='color:" + color + "'>"+ dump(message, "<span style='color:green'>Object :</span>", 0, '') + "</span><br/>" + document.getElementById("logs").innerHTML;
	}
	else
	{	
		document.getElementById("logs").innerHTML = "<span style='color:" + color + "'>"+ message + "</span><br/>" + document.getElementById("logs").innerHTML;
	}
}

vestek.handleKeys = function(evt) {
	var evtobj = window.event? event : evt;
	var unicode = evtobj.charCode? evtobj.charCode : evtobj.keyCode;
	
	switch (unicode){
		case 13: //ok : page refresh for testing new content
			this.log("Stop video!","green");
			document.getElementById("video").stop();
			this.log("Page will be refreshed!!","red");
			setTimeout(function(){document.location.href = "./playMp4.php";},300);
		break;
		case 38 : //up
			//scroll up the logs div
			var top = (document.getElementById("logs").style.top.replace(/px/, '') * 1);
			if( top != 0 ) document.getElementById("logs").style.top = top + 60; 
		break;
		case 40 : //down 
			//scroll down logs div
			var top = (document.getElementById("logs").style.top.replace(/px/, '') * 1);
			document.getElementById("logs").style.top = top - 60; 				
		break;
		default:
			this.log(" Key '" + unicode + "' is pressed.","green");
		break;
	}	
}
</script>

<body style="background:gray;">
	<h2 style="position: absolute;left: 15px; top: 0px; margin-top: 15px;font-size:1.6em;">
		<img src="img/vestek.jpg" style="vertical-align:middle"/> Simple Player - Play MP4
	</h2>
	<div id="logs_container" style="position:absolute; left:0px; top:55px; background:black; overflow:hidden; height:540px; width:310px;">
		<div id="logs" style="position:absolute; top:0px; color:white;">
		</div>
	</div>
	<table style="position: absolute;left: 15px; top: 610px; z-index:100; width:930px; ">
		<tr>
			<td style="width:30px">
				<img src="img/ud.png">
			</td>
			<td>
				Use up and down arrow keys to scroll the logs.
			</td>
		</tr>	
		<tr>
			<td style="width:30px">
				<img src="img/ok.png">
			</td>
			<td>
				Press "OK" to refresh the page.
			</td>
		</tr>
	</table>
	<div id="video_container" style='position: absolute; left: 320px; top: 55px; width: 960px; height: 540px;'>
		<object id='video' type='video/mp4' style='width: 960px; height: 540px;'></object>
	</div>
	<object id='appmgr' type='application/oipfApplicationManager' style='position: absolute;left: 0px; top: 0px; width: 0px; height: 0px;'></object>
	<object id='oipfcfg' type='application/oipfConfiguration' style='position: absolute;left: 0px; top: 0px; width: 0px; height: 0px;'></object>
	<object id='NetRangeDevice' type='application/debug-plugin'></object>
	<script language="javascript" >
		vestek.boot();
	</script>
</body>
</html>


