var init = function() {
    var content = document.getElementById('content');
    var appmgr = document.createElement('object');
    appmgr.id = 'appmgr';
    appmgr.type = 'application/oipfApplicationManager';

    var oipfcfg = document.createElement('object');
    oipfcfg.id = 'oipfcfg';
    oipfcfg.type = 'application/oipfConfiguration';

    var video = document.createElement('object');
    video.id = 'video';
    video.type = 'video/mp4';
    video.data = 'rtsp://192.168.0.98/vod/parker_.ts';
    video.style.width = '550px';
    video.style.height = '250px';
    video.style.border = '1px solid red';

    content.appendChild(appmgr);
    content.appendChild(oipfcfg);
    content.appendChild(video);
//                play(); // this is called right after player loaded
};

var play = function() {
    var video = document.getElementById('video');
    var debug = document.getElementById('debug');
    debug.innerHTML = 'play';
    try {
        video.stop();
        video.data = 'rtsp://192.168.0.98/vod/parker_.ts';
        video.play(1);
    } catch (e) {
        var debug = document.getElementById('debug');

        debug.innerHTML = e;
    }
};

var stop = function() {
    var video = document.getElementById('video');
    var debug = document.getElementById('debug');
    debug.innerHTML = 'stop';
    video.stop();
};

var pause = function() {
    var video = document.getElementById('video');
    var debug = document.getElementById('debug');
    debug.innerHTML = 'pause';
    video.play(0);
};

var resume = function() {
    var video = document.getElementById('video');
    var debug = document.getElementById('debug');
    debug.innerHTML = 'resume';
    video.play(1);
};

var audio = function() {
    var video = document.getElementById('video');
    var debug = document.getElementById('debug');
    try {
        var type = video.COMPONENT_TYPE_AUDIO;
        var langArr = [];
        var audioComponents = video.getComponents(type);

        debug.innerHTML = '';
        for (var i = 0; i < audioComponents.length; i++) {
            debug.innerHTML += audioComponents[i].language + "<br />";
        }

        video.selectComponent(audioComponents[0]);

    } catch (e) {
        debug.innerHTML = e.toString();
    }
};

var subtitles = function() {

    var langs = [];
    var video = document.getElementById('video');
    var debug = document.getElementById('debug');
    try {
        var type = video.COMPONENT_TYPE_SUBTITLE;
        var langs = [];
        var subComponents = video.getComponents(type);
        debug.innerHTML = '';
        for (var i = 0; i < subComponents.length; i++) {
            debug.innerHTML += subComponents[i].language + "<br />";
        }

        video.selectComponent(subComponents[0]);

    } catch (e) {
        debug.innerHTML = e.toString();
    }

};
function seekVideo(timeInSeconds)
{
    try {
        var vid = document.getElementById('video');
        vid.seek(timeInSeconds * 1000);
    } catch (e) {
        setDivHtml("divStatus", "Cannot seek video", false);
    }
}